# if script running on Windows OS
if ($ENV{'WINDIR'})
{
 	$Encryption = '';
	$PassFile = '\webshare\wwwroot\closed\.htpasswd';
	$GroupFile = '\webshare\wwwroot\closed\.htgroups';
	$WebRootDir = '\webshare\wwwroot\closed';
	$ChangeUserCommand = '\apache\bin\htpasswd.exe';
	$DirSeparator = '\\';
}
# if linux
else
{
 	$Encryption = '';
	$PassFile = '/pub/home/mysite/closed/.htpasswd';
	$GroupFile = '/pub/home/mysite/closed/.htgroups';
	$WebRootDir = '/pub/home/mysite/closed';
	$ChangeUserCommand = '/usr/local/apache/bin/htpasswd';
	$DirSeparator = '/';
}

$ShowAuthName = '1';
$htaccessTempl = qq{AuthType Basic\nAuthAuthoritative on\nAuthName "Restricted"\nAuthUserFile $PassFile\nAuthGroupFile $GroupFile\n<FilesMatch "\\.(htaccess|htgroups|htpasswd)\$">\n    Deny from all\n</FilesMatch>\nrequire user administrator\nrequire group administrators\n};
$AdminPassword = 'administrator';
$htTemplName[0] = 'Directory index files';
$htTempl[0] = "DirectoryIndex index.html index.pl index.cgi\n";
$htTemplName[1] = 'Allow scripts';
$htTempl[1] = "AddHandler cgi-script .pl .cgi\nOptions +ExecCGI\n";

1;
